Bug 1085539 - [GSS] (6.2.x) Backport PLINK-407
Summary: [GSS] (6.2.x) Backport PLINK-407
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: PicketLink
Version: 6.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR2
: EAP 6.2.3
Assignee: Peter Skopek
QA Contact: Josef Cacek
Russell Dickenson
URL:
Whiteboard:
Depends On: 1085534
Blocks: eap62-cp03-blockers 1084584
TreeView+ depends on / blocked
 
Reported: 2014-04-08 20:44 UTC by Derek Horton
Modified: 2018-12-05 18:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
An update to this release of JBoss EAP 6 introduces an upstream PicketLink feature that allows the `FormAuthenticator` +characterEncoding+ parameter to be used for requests in `IDPWebBrowserSSOValve`.
Clone Of: 1085534
Environment:
Last Closed: 2014-06-09 12:45:56 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Issue Tracker PLINK-407 Major Resolved characterEncoding parameter not used in for requests in IDPWebBrowserSSOValve 2014-07-22 12:57:06 UTC

Description Derek Horton 2014-04-08 20:44:14 UTC
Backport PLINK-407

Functionality can be enabled as shown here:

  <valve>                                                                                                                                                              
     <class-name>org.picketlink.identity.federation.bindings.tomcat.idp.IDPWebBrowserSSOValve</class-name>                                                             
     <param>                                                                                                                                                           
       <param-name>characterEncoding</param-name>                                                                                                    
       <param-value>UTF-8</param-value>                                                                                                                                 
     </param>                                                                                                                                                          
   </valve>

Comment 1 baranowb 2014-04-11 06:37:10 UTC
Assigning to pskopek since he pleaded to PL issues for EAP6

Comment 2 Derek Horton 2014-04-16 18:14:45 UTC
Committed to the prod-eap6.2.3 branch

Comment 3 JBoss JIRA Server 2014-05-05 21:20:14 UTC
Anil Saldhana <anil.saldhana@jboss.com> updated the status of jira PLINK-407 to Resolved

Comment 4 FIlip Bogyai 2014-05-09 09:18:09 UTC
Verified in 6.2.3.CR2

Comment 6 Scott Mumford 2014-05-22 01:18:28 UTC
Removed example code from Release Note text as per bug 1099049.


Note You need to log in before you can comment on or make changes to this bug.